aboutsummaryrefslogtreecommitdiff
path: root/X
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2022-05-06 13:35:10 +1200
committerTom Ryder <tom@sanctum.geek.nz>2022-05-06 13:35:10 +1200
commit2ab9bea9a96a6ac29fb39c13bce676f907f9b495 (patch)
treebb9da9907c13caff00ae565eb0b3a7156614c66f /X
parentMerge branch 'release/v11.22.0' into develop (diff)
downloaddotfiles-2ab9bea9a96a6ac29fb39c13bce676f907f9b495.tar.gz
dotfiles-2ab9bea9a96a6ac29fb39c13bce676f907f9b495.zip
Add option terminators to xrandr/xwallpaper setup
Diffstat (limited to 'X')
-rw-r--r--X/xsession.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/X/xsession.sh b/X/xsession.sh
index 91f23d9d..76cbc85b 100644
--- a/X/xsession.sh
+++ b/X/xsession.sh
@@ -13,10 +13,10 @@
# this script.
#
for program in xrandr xwallpaper ; do (
- command -v "$program" >/dev/null 2>&1 || exit
+ command -v -- "$program" >/dev/null 2>&1 || exit
config=${XDG_CONFIG_HOME:-"$HOME"/.config}/"$program"/config
[ -e "$config" ] || exit
- xargs "$program" < "$config"
+ xargs -- "$program" < "$config"
) ; done
# Set a few keyboard map options